<template lang="pug">
  div(id="root" v-if="characterData != null")
    div
      label Name
      div {{ characterData.name }}
    div _
    div
      label Race
      div {{ characterData.subrace.label }}
    div
      label Age
      div {{ characterData.age }}
    div
      label Height
      div {{ characterData.height }}
    div
      label Weight
      div {{ characterData.weight }}
    div _
    label Can's
    div _
    div
      div(
        v-for="(item, index) in characterData.subrace.cans"
        :key="index")
        | {{ item.label }}
        | {{ item.value }}
        | {{ item.domain }}
    div _
    div
      label Class
      div
        div(
          v-for="(item, index) in characterData.classes"
          :key="index")
          | {{ item.label }}
    label Abilities
    div _
    div(
      v-for="(item, index) in characterData.abilities"
      :key="index")
      label
        | {{ ability.list[index].label }}
      div
        | {{ item }}
</template>

<script>
import { mapGetters, mapState } from 'vuex'

export default {
  props: ['id'],
  data () {
    return {
      characterData: null
    }
  },
  computed: {
    ...mapState('character', [
      'ability'
    ]),
    ...mapGetters('character', [
      'getCharacterData',
      'getAbility'
    ])
  },
  mounted () {
    this.characterData = this.getCharacterData(this.$props.id)
  }
}
</script>

<style lang="sass" scoped>
#root
  height: -moz-available
  border: 1px solid #ddd
  display: flex
  flex-direction: column
  padding: 1em
  & > *
    display: flex
    justify-content: space-between
    width: 200px
</style>
